package com.isidroid.spot.repository

import com.isidroid.spot.model.RichSpot

interface SpotRepository {
    suspend fun locateSpots(lat: Double, lng: Double, distance: Int): List<RichSpot>
    suspend fun findRichSpot(code: String?): RichSpot?
    suspend fun findLocalRichSpots(ids: List<String>): List<RichSpot>?
    suspend fun save(richSpot: RichSpot?)
}